﻿namespace TestProject
{
    /// <summary>
    /// 위치 서비스 인터페이스
    /// </summary>
    public interface ILocationService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 위치 구하기 - GetLocation()

        /// <summary>
        /// 위치 구하기
        /// </summary>
        /// <returns>(위도, 경도)</returns>
        Task<(double Latitude, double Longitude)> GetLocation();

        #endregion
    }
}